import argparse
from ctypes import *

lli = CDLL("libpcie40.so")

parser = argparse.ArgumentParser( description = 'Read/Write registers via slow control' )
parser.add_argument( '-a' , '--address' , type=lambda x: int(x,0) )
group = parser.add_mutually_exclusive_group(required = True)
group.add_argument('-r','--read',action='store_true')
group.add_argument('-w','--write', type = lambda x: int(x,0) )
group.add_argument('-f','--file')
parser.add_argument( '-t' , '--type' , choices=['8b','32b'], default='32b', help='Access type (8 bits or 32 bits), 32 bits by default')
parser.add_argument( '-c' , '--channel' , type=lambda x:int(x,0), default='0', help='Channel number' ) 

args = parser.parse_args()
result = 0 
lli.ecs_open( 0 , 2 )

if ( args.read ):
    if args.type == '32b':
        result = lli.pcie40_readfee32( 0 , args.channel , args.address )
    else:
        result = lli.pcie40_readfee8( 0 , args.channel , args.address )
    if result == -1: print "Error Value = ", result 
    else: print 'Read value {0} (address = {1})'.format(result,args.address)
elif (args.file ):
    result = lli.pcie40_writestream_arich( 0 , args.channel , args.file ) 
    if result == -1: print "Error" 
else:
    if args.type == '32b':
        result = lli.pcie40_writefee32( 0 , args.channel , args.address , args.write )
    else:
        result = lli.pcie40_writefee8( 0 , args.channel , args.address , args.write )
    if result == -1: print "Error Value = ", result  
    else: print 'Wrote value {0} (address = {1})'.format(args.write,args.address)

lli.ecs_close( 0 , 2 )
